Subject: Re: bug#39165: [PATCH] sed: handle very long execution lines

From: Jim Meyering <[email-masked]>
Date: Fri, 17 Jan 2020 18:27:20 -0800

On Fri, Jan 17, 2020 at 1:11 PM Tobias Stoeckmann <[email-masked]> wrote:
> If sed is called with an excessively long execution line, then it is
> prone to an out of boundary memory access.
...

Good find and patch. Thank you!
I've adjusted your commit log slightly.

The "tiny change" note indicates that your diff is small enough that
you do not have to assign copyright. I have also made minor wording
changes, added the standard ChangeLog-style filename (function) lines
and added the obligatory bug-fix reference in NEWS.

We could add a test for this and even label it "expensive" or
"very-expensive", but so far I don't think it's worthwhile.

Will push the attached tomorrow.